# Properties

<details>

<summary><mark style="color:green;"><code>property.updated</code></mark></summary>

This event is triggered when the instance-level property information has changed.

#### Payload

```json
{
  "event": "property.updated",
  "params": {
    "property_id": "string",
     // additional changed properties
  },
  "entity": {
    "kind": "property",
    "data": {
      "id": "string",
      "name": "string",
      "description": "string",
      "status": "string",
      "widget_font": "string",
      "widget_position": "string",
      "border_radius": "string",
      "primary_color": "string",
      "text_color": "string",
      "has_scripts": boolean,
      "has_dsar": boolean,
      "has_docs": boolean,
      "has_accessibility": boolean,
      "has_accessibility_icon": boolean,
      "display_dpo": boolean,
      "display_company": boolean,
      "has_welcome_message": boolean,
      "has_continuous_scanning": boolean,
      "company_id": "string",
      "activated_at": "string",
      "created_at": "string"
    }
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>property.activated</code></mark></summary>

This event is triggered when the Clym script was first loaded to the property and the property was activated.

#### Payload

```json
{
  "event": "property.activated",
  "params": {
    "property_id": "string",
    "domain_name": "string"
  },
  "entity": {
    "kind": "property",
    "data": {
      "id": "string",
      "name": "string",
      "description": "string",
      "status": "string",
      "widget_font": "string",
      "widget_position": "string",
      "border_radius": "string",
      "primary_color": "string",
      "text_color": "string",
      "has_scripts": boolean,
      "has_dsar": boolean,
      "has_docs": boolean,
      "has_accessibility": boolean,
      "has_accessibility_icon": boolean,
      "display_dpo": boolean,
      "display_company": boolean,
      "has_welcome_message": boolean,
      "has_continuous_scanning": boolean,
      "company_id": "string",
      "activated_at": "string",
      "created_at": "string"
    }
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>property.activation.reminder.day2</code></mark></summary>

This event is triggered when an instance property will receive an activation reminder that their website is not active since 2 days ago.

#### Payload

```json
{
  "event": "property.activation.reminder.day2",
  "params": {
    "property_id": "string",
    "email": "string",
    "first_name": "string", // optional
    "website_url": "string",
    "domain_name": "string",
    "widget_embed_code": "string",
    "approval_url": "string"
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>property.activation.reminder.day7</code></mark></summary>

This event is triggered when an instance property will receive an activation reminder that their website is not active since 7 days ago.

#### Payload

```json
{
  "event": "property.activation.reminder.day7",
  "params": {
    "property_id": "string",
    "email": "string",
    "first_name": "string", // optional
    "website_url": "string",
    "domain_name": "string",
    "widget_embed_code": "string",
    "approval_url": "string"
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>property.activation.reminder.day14</code></mark></summary>

This event is triggered when an instance property will receive an activation reminder that their website is not active since 14 days ago.

#### Payload

```json
{
  "event": "property.activation.reminder.day14",
  "params": {
    "property_id": "string",
    "email": "string",
    "first_name": "string", // optional
    "website_url": "string",
    "domain_name": "string",
    "widget_embed_code": "string",
    "approval_url": "string"
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>property.activation.reminder.day30</code></mark></summary>

This event is triggered when an instance property will receive an activation reminder that their website is not active since 30 days ago.

#### Payload

```json
{
  "event": "property.activation.reminder.day30",
  "params": {
    "property_id": "string",
    "email": "string",
    "first_name": "string", // optional
    "website_url": "string",
    "domain_name": "string",
    "widget_embed_code": "string",
    "approval_url": "string"
  }
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clym.io/webhook-reference/properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
